Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table
Class ColumnFactory

    java.lang.Object
      net.sf.jasperreports.components.table.ColumnFactory

All Implemented Interfaces:
  ColumnVisitor<BaseColumn>

    public class ColumnFactory

extends java.lang.Object
implements ColumnVisitor<BaseColumn>

Version:
  $Id: ColumnFactory.java 3602 2010-03-19 14:53:30Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ColumnFactory(JRBaseObjectFactory factory)`

Method Summary
`Cell` | `createCell(Cell cell)`
`java.util.List<BaseColumn>` | `createColumns(java.util.List<BaseColumn> columns)`
`java.util.List<GroupCell>` | `createGroupCells(java.util.List<GroupCell> cells)`
`JRBaseObjectFactory` | `getBaseObjectFactory()`
`BaseColumn` | `visitColumn(Column column)`
`BaseColumn` | `visitColumnGroup(ColumnGroup columnGroup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnFactory

    public ColumnFactory(JRBaseObjectFactory factory)

Method Detail

### createColumns

    public java.util.List<BaseColumn> createColumns(java.util.List<BaseColumn> columns)

### createCell

    public Cell createCell(Cell cell)

### createGroupCells

    public java.util.List<GroupCell> createGroupCells(java.util.List<GroupCell> cells)

### visitColumn

    public BaseColumn visitColumn(Column column)

  Specified by:
    `visitColumn` in interface `ColumnVisitor<BaseColumn>`

### visitColumnGroup

    public BaseColumn visitColumnGroup(ColumnGroup columnGroup)

  Specified by:
    `visitColumnGroup` in interface `ColumnVisitor<BaseColumn>`

### getBaseObjectFactory

    public JRBaseObjectFactory getBaseObjectFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com